﻿function diftongYR(s,t,v,V){
 switch(s.charCodeAt(t+1)){
  case 85:return v+"у";
  case 105:return v+"й";
  case 117:return v+"и";
  case 1067:return V+"й";
  case 1068:return V+"й";
  case 1069:return V+"й";
  case 1070:return v+"й";
  case 1071:return "г"+v+"й";
  case 1072:return V+"й";
  case 1073:return "г"+V+"й";
  case 1075:return "г"+v+"й";
  case 1077:return "г"+V+"й";
  case 1078:return V+"й";
  case 1080:return v+"и";
  case 1081:return v+"и";
  case 1082:return "г"+v+"и";
  case 1083:return V+"и";
  case 1084:return "г"+V+"и";
  case 1088:return "г"+v+"и";
  default: return "";
 }
}

function diftongYRa(s,t,v,V){
 switch(s.charCodeAt(t+1)){
  case 85:return v+"и";
  case 105:return v+"й";
  case 117:return v+"и";
  case 1067:return V+"й";
  case 1068:return V+"й";
  case 1069:return V+"й";
  case 1070:return v+"й";
  case 1071:return "г"+v+"й";
  case 1072:return V+"й";
  case 1073:return "г"+V+"й";
  case 1075:return "г"+v+"й";
  case 1077:return "г"+V+"й";
  case 1078:return V+"й";
  case 1080:return v+"и";
  case 1081:return v+"и";
  case 1082:return "г"+v+"у";
  case 1083:return v+"И";
  case 1084:return "г"+v+"И";
  case 1088:return "г"+v+"и";
  default: return "";
 }
}

function digraphYR(s,t,v,V){
 if (s.length<t+1) return "";
 switch(s.charAt(t+1)){
  case "u":case "U":return "у";
  case "i":return "и";
  default: switch(s.charCodeAt(t+1)){
   case 1067:return "И";
   case 1068:return "И";
   case 1069:return "И";
   case 1070:return "и";
   case 1071:return "ги";
   case 1072:return "И";
   case 1073:return "гИ";
   case 1075:return "ги";
   case 1076:return "И";
   case 1077:return "гИ";

   case 1078:return "У";
   case 1079:return "У";
   case 1080:return "У";
   case 1081:return "у";
   case 1083:return "У";
   case 1084:return "гУ";
   case 1085:return "У";
   case 1086:return "гУ";
   case 1087:return "У";
   case 1088:return "гУ";
   default: return diftongYR(s,t,v,V);
  }
 }
}

function diftongYR2(s,t,v,V){
 if (s.length<t+1) return "";
 switch(s.charAt(t+1)){
  case "i":return "и";
  default: switch(s.charCodeAt(t+1)){
   case 1067:return "И";
   case 1068:return "И";
   case 1069:return "И";
   case 1070:return "и";
   case 1071:return "ги";
   case 1072:return "И";
   case 1073:return "гИ";
   case 1075:return "ги";
   case 1076:return "И";
   case 1077:return "гИ";
   default: return "";
  }
 }
}

function diftongYR3(s,t,v,V){
 if (s.length<t+1) return "";
 switch(s.charAt(t+1)){
  case "i":return "э";
  default: switch(s.charCodeAt(t+1)){
   case 1068:return "Э";
   case 1069:return "Э";
   case 1070:return "э";
   case 1071:return "гэ";
   case 1072:return "Э";
   case 1073:return "гЭ";
   case 1075:return "гЭ";
   case 1076:return "Э";
   case 1077:return "гЭ";
   default: return "";
  }
 }
}

function translitYR(s){
r='';
for (t=0;t<s.length;t++) {
 switch(s.charAt(t)) {
	case "A": case "a":d=diftongYR3(s,t,"э","Э");if(d=="")d=diftongYRa(s,t,"а","А");if(d!="") {r+=d;t++;} else r+="а";break;
	case "B": case "b":r+="в";break;
	case "G": case "g":if (t){switch(s.charAt(t+1)) {case "G":case "g":case "K":case "k":case "X":case "x":case "J":case "j":r+="н";break; default: r+="г";}} else r+="г";break;
	case "D": case "d":r+="д";break;
	case "E": case "e":d=diftongYR2(s,t,"э","Э");if(d=="")d=diftongYR(s,t,"э","Э");if(d!="") {r+=d;t++;} else r+="э";break;
	case "Z": case "z":r+="дз";break;
	case "H": case "h":r+="и";break;
	case "Y": case "y":r+="ф";break;
	case "I": case "i":r+="и";break;
	case "K": case "k":r+="к";break;
	case "L": case "l":r+="л";break;
	case "M": case "m":r+="м";break;
	case "N": case "n":r+="н";break;
	case "J": case "j":r+="кс";break;
	case "O": case "o":d=digraphYR(s,t,"о","О");if (d!="") {r+=d; t++;} else r+="о";break;
	case "P": case "p":r+="п";break;
	case "R": case "r":r+="р";break;
	case "S": case "s": case "w":r+="с";break;
	case "T": case "t":r+="т";break;
	case "U": case "u":d=diftongYR2(s,t,"и","И");if(d!=""){r+=d;t++;} else switch(s.charCodeAt(t+1)){case 1071:r+="гий";t++;break;default:r+="и";}break;
	case "F": case "f":r+="ф";break;
	case "X": case "x":r+="х";break;
	case "C": case "c":r+="пс";break;
	case "V": case "v":r+="о";break;
	default: switch(s.charCodeAt(t)) {
		case 35:r+="и";break;
		case 38:r+="а";break;
		case 44:r+=" ";break;
		case 61:r+="р";break;
		case 64:r+="И";break;
		case 123:r+=" ";break;
		case 125:r+=" ";break;
		case 152:r+="А";break;
		case 161:r+="гИ";break;
		case 162:r+="Э";break;
		case 163:r+="И";break;
		case 164:r+="э";break;
		case 165:r+="гИ";break;
		case 166:r+="Э";break;
		case 167:r+="гЭ";break;
		case 169:r+="гЭ";break;
		case 170:r+="И";break;
		case 172:r+="И";break;
		case 174:r+="И";break;
		case 175:r+="О";break;
		case 176:r+="И";break;
		case 177:r+="и";break;
		case 181:r+="И";break;
		case 182:r+="гИ";break;
		case 183:r+="И";break;
		case 186:r+="и";break;
		case 187:r+="И";break;
		case 191:r+="И";break;
		case 192:r+="гО";break;
		case 193:r+="И";break;
		case 194:r+="гИ";break;
		case 195:r+="О";break;
		case 198:r+="И";break;
		case 200:r+="и";break;
		case 201:r+="";break;
		case 202:r+="И";break;
		case 203:r+="И";break;
		case 204:r+="И";break;
		case 205:r+="ги";break;
		case 206:r+="И";break;
		case 207:r+="гИ";break;
		case 209:r+="г";break;
		case 210:r+="О";break;
		case 211:r+="гИ";break;
		case 212:r+="И";break;
		case 213:r+="гО";break;
		case 216:r+="И";break;
		case 217:r+="о";break;
		case 218:r+="О";break;
		case 219:r+="и";break;
		case 223:r+="гЭ";break;
		case 227:r+="А";break;
		case 229:r+="А";break;
		case 230:r+="И";break;
		case 231:r+="А";break;
		case 232:r+="га";break;
		case 233:r+="а";break;
		case 234:r+="А";break;
		case 235:r+="гА";break;
		case 236:r+="гА";break;
		case 237:r+="А";break;
		case 238:r+="А";break;
		case 239:r+="гА";break;
		case 241:r+="А";break;
		case 243:r+="А";break;
		case 244:r+="а";break;
		case 245:r+="А";break;
		case 246:r+="га";break;
		case 247:r+="гО";break;
		case 248:r+="гИ";break;
		case 249:r+="А";break;
		case 250:r+="гА";break;
		case 251:r+="гА";break;
		case 252:r+="А";break;
		case 255:r+="гО";break;
		case 1025:r+="Э";break;
		case 1028:r+="гА";break;
		case 1029:case 1030:r+="ги";break;
		case 1031:r+="И";break;
		case 1032:r+="И";break;
		case 1034:r+="А";break;
		case 1035:r+="а";break;
		case 1036:r+="А";break;
		case 1038:r+="Э";break;
		case 1039:r+="га";break;
		case 1040:r+="И";break;
		case 1041:r+="гИ";break;
		case 1042:r+="И";break;
		case 1043:r+="гИ";break;
		case 1044:r+="о";break;
		case 1045:r+="О";break;
		case 1046:r+="О";break;
                case 1047:r+="О";break;
		case 1048:r+="о";break;
		case 1049:r+="го";break;
		case 1050:r+="О";break;
		case 1051:r+="гО";break;
		case 1052:r+="О";break;
		case 1053:r+="гО";break;
		case 1054:r+="О";break;
		case 1055:r+="гО";break;
		case 1056:r+="О";break;
		case 1057:r+="О";break;
		case 1058:r+="О";break;
		case 1059:r+="о";break;
		case 1060:r+="го";break;
		case 1061:r+="О";break;
		case 1062:r+="гО";break;
		case 1063:r+="о";break;
		case 1064:r+="го";break;
		case 1065:r+="о";break;
		case 1066:r+="гО";break;

		case 1067:r+="И";break;
		case 1068:r+="И";break;
		case 1069:r+="И";break;
		case 1070:r+="и";break;
		case 1071:r+="ги";break;
		case 1072:r+="И";break;
		case 1073:r+="гИ";break;
		case 1074:r+="И";break;
		case 1075:r+="гИ";break;
		case 1076:r+="И";break;
		case 1077:r+="гИ";break;

		case 1078:r+="И";break;
		case 1079:r+="И";break;
		case 1080:r+="И";break;
		case 1081:r+="и";break;
		case 1082:r+="ги";break;
		case 1083:r+="И";break;
		case 1084:r+="гИ";break;
		case 1085:r+="И";break;
		case 1086:r+="гИ";break;
		case 1087:r+="И";break;
		case 1088:r+="гИ";break;

	        case 1089:r+="О";break;
	        case 1090:r+="О";break;
	        case 1091:r+="и";break;
	        case 1092:r+="о";break;
	        case 1093:r+="го";break;
	        case 1094:r+="О";break;
	        case 1095:r+="гО";break;
	        case 1096:r+="О";break;
	        case 1097:r+="гО";break;
	        case 1098:r+="и";break;
	        case 1099:r+="с";break;
	        case 1101:r+="И";break;
	        case 1102:r+="И";break;
	        case 1105:r+="И";break;
	        case 1106:r+="А";break;
	        case 1107:r+="";break;
	        case 1108:r+="И";break;
	        case 1109:case 1110:r+="И";break;
	        case 1111:r+="гИ";break;
	        case 1112:r+="и";break;
	        case 1113:r+="га";break;
	        case 1114:r+="гА";break;
	        case 1115:r+="гА";break;
	        case 1116:r+="А";break;
	        case 1118:r+="Э";break;
	        case 1119:r+="А";break;
	        case 1168:r+="гэ";break;
	        case 1169:r+="гИ";break;
		
		case 8211:r+='А';break;
		case 8212:r+='А';break;
		case 8216:r+='гА';break;
		case 8217:r+='А';break;
		case 8218:r+='';break;
		case 8220:r+='гА';break;
		case 8221:r+='А';break;
		case 8222:switch (s.charAt(t+1)){case "R":break;default:r+='г';}break;
		case 8224:r+='г';switch (s.charAt(t+1)) {
		        	case "A":r+='А';t++;break;
				case "E":r+='Э';t++;break;
				case "H":r+='И';t++;break;
				case "I":r+='И';t++;break;
				case "O":r+='О';t++;break;
				case "U":r+='И';t++;break;
				case "V":r+='О';t++;break;
			}
			break;
		case 8225:case 8230:switch (s.charAt(t+1)) {
		        	case "A":r+='А';t++;break;
				case "E":r+='Э';t++;break;
				case "H":r+='И';t++;break;
				case "I":r+='И';t++;break;
				case "O":r+='О';t++;break;
				case "U":r+='И';t++;break;
				case "V":r+='О';t++;break;
			}
			break;
		case 8225:r+='';break;
		case 8226:r+='гА';break;
		case 8230:r+='';break;
		case 8240:r+='';break;
		case 8249:r+='А';break;
		case 8250:r+='А';break;
		case 8364:r+='г';break;

		case 8470:r+='И';break;
//		default: r+='+'+s.charCodeAt(t)+'+';document.write(r);
	}
  }
}
//  r+=" ( ";for (t=0;t<s.length;t++) r+=s.charCodeAt(t)+" ";r+=")";

  return r;
}


function diftongER(s,t,v,V){
 switch(s.charCodeAt(t+1)){
  case 85:return v+"у";
  case 105:return v+"й";
  case 117:return v+"у";
  case 1067:return V+"й";
  case 1068:return V+"й";
  case 1069:return V+"й";
  case 1070:return v+"й";
  case 1071:return "г"+v+"й";
  case 1072:return V+"й";
  case 1073:return "г"+V+"й";
  case 1075:return "г"+v+"й";
  case 1077:return "г"+V+"й";
  case 1078:return V+"й";
  case 1080:return v+"у";
  case 1081:return v+"у";
  case 1082:return "г"+v+"у";
  case 1083:return V+"у";
  case 1084:return "г"+V+"у";
  case 1088:return "г"+v+"у";
  default: return "";
 }
}

function digraphER(s,t,v,V){
 if (s.length<t+1) return "";
 switch(s.charAt(t+1)){
  case "U":case "u":return "у";
  default: switch(s.charCodeAt(t+1)){
   case 1078:return "У";
   case 1079:return "У";
   case 1080:return "У";
   case 1081:return "у";
   case 1084:return "гУ";
   case 1085:return "У";
   case 1086:return "гУ";
   case 1087:return "У";
   case 1088:return "гУ";
   default: return diftongER(s,t,v,V);
  }
 }
}

function translitER(s){
r='';
for (t=0;t<s.length;t++) {
 switch(s.charAt(t)) {
	case "A": case "a":d=diftongER(s,t,"а","А");if(d!="") {r+=d;t++;} else r+="а";break;
	case "B": case "b":r+="б";break;
	case "G": case "g":if (t){switch(s.charAt(t+1)) {case "G":case "g":case "K":case "k":case "X":case "x":case "J":case "j":r+="н";break; default: r+="г";}} else r+="г";break;
	case "D": case "d":r+="д";break;
	case "E": case "e":d=diftongER(s,t,"э","Э");if(d!="") {r+=d;t++;} else r+="э";break;
	case "Z": case "z":r+="дз";break;
	case "H": case "h":r+="э";break;
	case "Y": case "y":r+="тх";break;
	case "I": case "i":r+="и";break;
	case "K": case "k":r+="к";break;
	case "L": case "l":r+="л";break;
	case "M": case "m":r+="м";break;
	case "N": case "n":r+="н";break;
	case "J": case "j":r+="кс";break;
	case "O": case "o":d=digraphER(s,t,"о","О");if (d!="") {r+=d; t++;} else r+="о";break;
	case "P": case "p":r+="п";break;
	case "R": case "r":r+="р";break;
	case "S": case "s": case "w":r+="с";break;
	case "T": case "t":r+="т";break;
	case "U": case "u":switch(s.charCodeAt(t+1)){case 1071:r+="гюй";t++;break;default:r+="ю";}break;
	case "F": case "f":r+="ф";break;
	case "X": case "x":r+="х";break;
	case "C": case "c":r+="пс";break;
	case "V": case "v":r+="о";break;
	default: switch(s.charCodeAt(t)) {
		case 35:r+="ю";break;
		case 38:r+="а";break;
		case 44:r+=" ";break;
		case 61:r+="р";break;
		case 64:r+="Ю";break;
		case 123:r+=" ";break;
		case 125:r+=" ";break;
		case 152:r+="А";break;
		case 161:r+="гЭ";break;
		case 162:r+="Э";break;
		case 163:r+="Ю";break;
		case 164:r+="э";break;
		case 165:r+="гЭ";break;
		case 166:r+="Э";break;
		case 167:r+="гЭ";break;
		case 169:r+="гЭ";break;
		case 170:r+="Э";break;
		case 172:r+="Э";break;
		case 174:r+="Э";break;
		case 175:r+="О";break;
		case 176:r+="Э";break;
		case 177:r+="э";break;
		case 181:r+="Э";break;
		case 182:r+="гЭ";break;
		case 183:r+="Э";break;
		case 186:r+="э";break;
		case 187:r+="Э";break;
		case 191:r+="Э";break;
		case 192:r+="гО";break;
		case 193:r+="Ю";break;
		case 194:r+="гИ";break;
		case 195:r+="О";break;
		case 198:r+="Э";break;
		case 200:r+="ю";break;
		case 201:r+="";break;
		case 202:r+="Ю";break;
		case 203:r+="Ю";break;
		case 204:r+="Ю";break;
		case 205:r+="гю";break;
		case 206:r+="Ю";break;
		case 207:r+="гЮ";break;
		case 209:r+="г";break;
		case 210:r+="О";break;
		case 211:r+="гЮ";break;
		case 212:r+="Ю";break;
		case 213:r+="гО";break;
		case 216:r+="Э";break;
		case 217:r+="о";break;
		case 218:r+="О";break;
		case 219:r+="и";break;
		case 223:r+="гЭ";break;
		case 227:r+="А";break;
		case 229:r+="А";break;
		case 230:r+="Э";break;
		case 231:r+="А";break;
		case 232:r+="га";break;
		case 233:r+="а";break;
		case 234:r+="А";break;
		case 235:r+="гА";break;
		case 236:r+="гА";break;
		case 237:r+="А";break;
		case 238:r+="А";break;
		case 239:r+="гА";break;
		case 241:r+="А";break;
		case 243:r+="А";break;
		case 244:r+="а";break;
		case 245:r+="А";break;
		case 246:r+="га";break;
		case 247:r+="гО";break;
		case 248:r+="гЭ";break;
		case 249:r+="А";break;
		case 250:r+="гА";break;
		case 251:r+="гА";break;
		case 252:r+="А";break;
		case 255:r+="гО";break;
		case 1025:r+="Э";break;
		case 1028:r+="гА";break;
		case 1029:case 1030:r+="гэ";break;
		case 1031:r+="Э";break;
		case 1032:r+="Ю";break;
		case 1034:r+="А";break;
		case 1035:r+="а";break;
		case 1036:r+="А";break;
		case 1038:r+="Э";break;
		case 1039:r+="га";break;
		case 1040:r+="Э";break;
		case 1041:r+="гЭ";break;
		case 1042:r+="Э";break;
		case 1043:r+="гЭ";break;
		case 1044:r+="о";break;
		case 1045:r+="О";break;
		case 1046:r+="О";break;
		case 1047:r+="О";break;
		case 1048:r+="о";break;
		case 1049:r+="го";break;
		case 1050:r+="О";break;
		case 1051:r+="гО";break;
		case 1052:r+="О";break;
		case 1053:r+="гО";break;
		case 1054:r+="О";break;
		case 1055:r+="гО";break;
		case 1056:r+="О";break;
		case 1057:r+="О";break;
		case 1058:r+="О";break;
		case 1059:r+="о";break;
		case 1060:r+="го";break;
		case 1061:r+="О";break;
		case 1062:r+="гО";break;
		case 1063:r+="о";break;
		case 1064:r+="го";break;
		case 1065:r+="о";break;
		case 1066:r+="гО";break;

		case 1067:r+="И";break;
		case 1068:r+="И";break;
		case 1069:r+="И";break;
		case 1070:r+="и";break;
		case 1071:r+="ги";break;
		case 1072:r+="И";break;
		case 1073:r+="гИ";break;
		case 1074:r+="И";break;
		case 1075:r+="гИ";break;
		case 1076:r+="И";break;
		case 1077:r+="гИ";break;

		case 1078:r+="Ю";break;
		case 1079:r+="Ю";break;
		case 1080:r+="Ю";break;
		case 1081:r+="ю";break;
		case 1082:r+="гю";break;
		case 1083:r+="Ю";break;
		case 1084:r+="гЮ";break;
		case 1085:r+="Ю";break;
		case 1086:r+="гЮ";break;
		case 1087:r+="Ю";break;
		case 1088:r+="гЮ";break;

	        case 1089:r+="О";break;
	        case 1090:r+="О";break;
	        case 1091:r+="и";break;
	        case 1092:r+="о";break;
	        case 1093:r+="го";break;
	        case 1094:r+="О";break;
	        case 1095:r+="гО";break;
	        case 1096:r+="О";break;
	        case 1097:r+="гО";break;
	        case 1098:r+="э";break;
	        case 1099:r+="с";break;
	        case 1101:r+="И";break;
	        case 1102:r+="И";break;
	        case 1105:r+="Э";break;
	        case 1106:r+="А";break;
	        case 1107:r+="";break;
	        case 1108:r+="Э";break;
	        case 1109:case 1110:r+="Э";break;
	        case 1111:r+="гЭ";break;
	        case 1112:r+="э";break;
	        case 1113:r+="га";break;
	        case 1114:r+="гА";break;
	        case 1115:r+="гА";break;
	        case 1116:r+="А";break;
	        case 1118:r+="Э";break;
	        case 1119:r+="А";break;
	        case 1168:r+="гэ";break;
	        case 1169:r+="гЭ";break;
		
		case 8211:r+='А';break;
		case 8212:r+='А';break;
		case 8216:r+='гА';break;
		case 8217:r+='А';break;
		case 8218:r+='';break;
		case 8220:r+='гА';break;
		case 8221:r+='А';break;
		case 8222:switch (s.charAt(t+1)){case "R":break;default:r+='г';}break;
		case 8224:r+='г';switch (s.charAt(t+1)) {
		        	case "A":r+='А';t++;break;
				case "E":r+='Э';t++;break;
				case "H":r+='Э';t++;break;
				case "I":r+='И';t++;break;
				case "O":r+='О';t++;break;
				case "U":r+='Ю';t++;break;
				case "V":r+='О';t++;break;
			}
			break;
		case 8225:case 8230:switch (s.charAt(t+1)) {
		        	case "A":r+='А';t++;break;
				case "E":r+='Э';t++;break;
				case "H":r+='Э';t++;break;
				case "I":r+='И';t++;break;
				case "O":r+='О';t++;break;
				case "U":r+='Ю';t++;break;
				case "V":r+='О';t++;break;
			}
			break;
		case 8225:r+='';break;
		case 8226:r+='гА';break;
		case 8230:r+='';break;
		case 8240:r+='';break;
		case 8249:r+='А';break;
		case 8250:r+='А';break;
		case 8364:r+='г';break;

		case 8470:r+='И';break;
	}
  }
}
  return r;
}


function getCookie(Name) {
 var search = Name + "=";
 if (document.cookie.length > 0) {
  offset = document.cookie.indexOf(search);
  if (offset != -1) {
   offset += search.length;
   end = document.cookie.indexOf(";", offset);
   if (end == -1) end = document.cookie.length;
   return unescape(document.cookie.substring(offset, end));
  }
 }
}

function translit(s){
 if (getCookie("Underliner_Transcription")=="ER") return translitER(s); else if (getCookie("Underliner_Transcription")=="no") return ""; else return translitYR(s);
}


function rusword(s){
 re=/,/i;s=s.replace(re,"");
 re=/\./i;s=s.replace(re,"");
 re=/:/i;s=s.replace(re,"");
 re=/;/i;s=s.replace(re,"");
 re=/\?/i;s=s.replace(re,"");
 re=/<\[>/i;s=s.replace(re,"h\&#91;");
 re=/<\]>/i;s=s.replace(re,"h\&#93;");
 if (s.indexOf("<b>",0)<0) return s;
 re=/<b>/i;s=s.replace(re,"<u>");
 re=/<\/b>/i;s=s.replace(re,"</u>");
 return s;
}


function Uni(s){
r='';
for (t=0;t<s.length;t++) {
 switch(s.charAt(t)) {
	case "A": r+="%u0391";break;
	case "B": r+="%u0392";break;
	case "G": r+="%u0393";break;  
	case "D": r+="%u0394";break;
	case "E": r+="%u0395";break;
	case "Z": r+="%u0396";break;
	case "H": r+="%u0397";break;
	case "Y": r+="%u0398";break; 
	case "I": r+="%u0399";break;
	case "K": r+="%u039a";break;
	case "L": r+="%u039b";break;
	case "M": r+="%u039c";break;
	case "N": r+="%u039d";break;
	case "J": r+="%u039e";break; 
	case "O": r+="%u039f";break;
	case "P": r+="%u03a0";break;
	case "R": r+="%u03a1";break;
	case "S": r+="%u03a3";break;
	case "T": r+="%u03a4";break;
	case "U": r+="%u03a5";break;
	case "F": r+="%u03a6";break;
	case "X": r+="%u03a7";break;
	case "C": r+="%u03a8";break;
	case "V": r+="%u03a9";break;

	case "a": r+="%u03b1";break;
	case "b": r+="%u03b2";break;
	case "g": r+="%u03b3";break;
	case "d": r+="%u03b4";break;
	case "e": r+="%u03b5";break;
	case "z": r+="%u03b6";break;
	case "h": r+="%u03b7";break;
	case "y": r+="%u03b8";break;
	case "i": r+="%u03b9";break;
	case "k": r+="%u03ba";break;
	case "l": r+="%u03bb";break;
	case "m": r+="%u03bc";break;
	case "n": r+="%u03bd";break;
	case "j": r+="%u03be";break;
	case "o": r+="%u03bf";break;
	case "p": r+="%u03c0";break;
	case "r": r+="%u03c1";break;
	case "s": r+="%u03c3";break;
	case "t": r+="%u03c4";break;
	case "u": r+="%u03c5";break;
	case "f": r+="%u03c6";break;
	case "x": r+="%u03c7";break;
	case "c": r+="%u03c8";break;
	case "v": r+="%u03c9";break;
	case "w": r+="%u03c2";break;
	case "[": r+="[";break;
	case "]": r+="]";break;
	case "-": r+="-";break;

	default: switch(s.charCodeAt(t)) {
		case 35: r+="%u03cb";break;
		case 38: r+="%u03b1%u0323";break;
		case 44: r+=",";break;
		case 46: r+=".";break;
		case 58: r+="%u0387";break;
		case 59: r+="%u037e";break;
		case 61: r+="%u03c1";break;
		case 64: r+="%u03b0";break;
		case 152: r+="%u03b1%u0323";break;
		case 164: r+="%u03b5";break;
		case 166: r+="%u03ad";break;
		case 167: r+="%u03ad";break;
		case 169: r+="%u03b5";break;
		case 174: r+="%u03ae";break;
		case 176: r+="%u03b7";break;
		case 177: r+="%u03b7";break;
		case 181: r+="%u03b7";break;
		case 182: r+="%u03b7";break;
		case 183: r+="%u03b7";break;
		case 187: r+="%u03b7%u0323";break;
		case 1025: r+="%u03b5";break; 
		case 1026: r+="%u0301";break; 
		case 1027: r+="%u0300";break; 
		case 1028: r+="%u03b1%u0323";break; 
		case 1029: r+="%u03b7%u0323";break; 
		case 1030: r+="%u03b7";break; 
		case 1031: r+="%u03b7";break; 
		case 1032: r+="%u03cb";break; 
		case 1033: break; 
		case 1034: r+="%u03b1";break; 
		case 1035: r+="%u03b1";break; 
		case 1036: r+="%u03b1";break; 
		case 1038: r+="%u03ad";break;
		case 1039: r+="%u03b1";break;
		case 1040: r+="%u03b7%u0323";break;
		case 1041: r+="%u03b7%u0323";break;
		case 1042: r+="%u03b7%u0323";break;
		case 1043: r+="%u03b7%u0323";break;
		case 1044: r+="%u03c9%u0323";break;
		case 1045: r+="%u03ce";break;
		case 1046: r+="%u03c9";break;
		case 1047: r+="%u03c9";break;
		case 1048: r+="%u03c9";break;
		case 1049: r+="%u03c9";break;
		case 1050: r+="%u03ce";break;
		case 1051: r+="%u03ce";break;
		case 1052: r+="%u03c9";break;
		case 1053: r+="%u03c9";break;
		case 1054: r+="%u03c9";break;
		case 1055: r+="%u03c9";break;
		case 1056: r+="%u03ce%u0323";break;
		case 1057: r+="%u03c9%u0323";break;
		case 1058: r+="%u03c9%u0323";break;
		case 1059: r+="%u03c9%u0323";break;
		case 1060: r+="%u03c9%u0323";break;
		case 1061: r+="%u03ce%u0323";break;
		case 1062: r+="%u03ce%u0323";break;
		case 1063: r+="%u03c9%u0323";break;
		case 1064: r+="%u03c9%u0323";break;
		case 1065: r+="%u03c9%u0323";break;
		case 1066: r+="%u03c9%u0323";break;
		case 1067: r+="%u03af";break;
		case 1068: r+="%u03b9";break; 
		case 1069: r+="%u03b9";break; 
		case 1070: r+="%u03b9";break; 
		case 1071: r+="%u03b9";break; 
		case 1072: r+="%u03af";break; 
		case 1073: r+="%u03af";break; 
		case 1074: r+="%u03b9";break; 
		case 1075: r+="%u03b9";break; 
		case 1076: r+="%u03af";break; 
		case 1077: r+="%u03b9";break; 
		case 1078: r+="%u03cd";break; 
		case 1079: r+="%u03c5";break; 
		case 1080: r+="%u0169";break;
		case 1081: r+="%u03c5";break;
		case 1082: r+="%u03c5";break;
		case 1083: r+="%u03cd";break;
		case 1084: r+="%u03cd";break;
		case 1085: r+="%u03c5";break;
		case 1086: r+="%u03c5";break;
		case 1087: r+="%u0169";break;
		case 1088: r+="%u0169";break;
		case 1089: r+="%u03cc";break;
		case 1090: r+="%u03bf";break;
		case 1091: r+="%u03ca";break;
		case 1092: r+="%u03bf";break;
		case 1093: r+="%u03bf";break;
		case 1094: r+="%u03cc";break;
		case 1095: r+="%u03cc";break;
		case 1096: r+="%u03bf";break;
		case 1097: r+="%u03bf";break;
		case 1098: r+="%u03b7%u0323";break;
		case 1099: r+="%u03c2";break;
		case 1100: break;
		case 1101: r+="%u0390";break;
		case 1102: r+="%u03ca";break;
		case 1105: r+="%u03b7";break;
		case 1106: r+="%u03ac";break;
		case 1107: r+="%u2019";break;
		case 1108: r+="%u03b7%u0323";break;
		case 1109: r+="%u03ae%u0323";break;
		case 1110: r+="%u03ae";break;
		case 1111: r+="%u03ae%u0323";break;
		case 1112: r+="%u03b7%u0323";break;
		case 1113: r+="%u03b1%u0323";break;
		case 1114: r+="%u03ac%u0323";break;
		case 1115: r+="%u03b1%u0323";break;
		case 1116: r+="%u03b1%u0323";break;
		case 1118: r+="%u03b5";break;
		case 1119: r+="%u03b1%u0323";break;
		case 1168: r+="%u03b5";break;
		case 1169: r+="%u03ae";break;
		case 8209: r+="-";break;
		case 8211: r+="%u03ac%u0323";break;
		case 8212: r+="%u03b1%u0323";break;
		case 8216: r+="%u03ac";break;
		case 8217: r+="%u03b1";break;
		case 8218: break;
		case 8220: r+="%u03b1";break;
		case 8221: r+="%u03b1";break;
		case 8222: r+="%u201b";break;
		case 8224: r+="%u201b";break;
		case 8225: r+="%u2019";break;
		case 8226: r+="%u03b1";break;
		case 8230: r+="%u2019";break;
		case 8240: r+="%u2019";break;
		case 8242: break;
		case 8243: break;
		case 8249: r+="%u03ac";break;
		case 8250: r+="%u03ac%u0323";break;
		case 8364: r+="%u201b";break;
		case 8470: r+="%u03ae%u0323";break;
		case 8482: r+="%u03b1%u0323";break;
		case 8486: r+="%u03a9";break;
	}
 }
}
 return unescape(r);	
}   


function UUni(s){
r='';
for (t=0;t<s.length;t++) {
 switch(s.charAt(t)) {
	case "A":case "a": r+="%u0391";break;
	case "B":case "b": r+="%u0392";break;
	case "G":case "g": r+="%u0393";break;  
	case "D":case "d": r+="%u0394";break;
	case "E":case "e": r+="%u0395";break;
	case "Z":case "z": r+="%u0396";break;
	case "H":case "h": r+="%u0397";break;
	case "Y":case "y": r+="%u0398";break; 
	case "I":case "i": r+="%u0399";break;
	case "K":case "k": r+="%u039a";break;
	case "L":case "l": r+="%u039b";break;
	case "M":case "m": r+="%u039c";break;
	case "N":case "n": r+="%u039d";break;
	case "J":case "j": r+="%u039e";break; 
	case "O":case "o": r+="%u039f";break;
	case "P":case "p": r+="%u03a0";break;
	case "R":case "r": r+="%u03a1";break;
	case "S":case "s":case "w": r+="%u03a3";break;
	case "T":case "t": r+="%u03a4";break;
	case "U":case "u": r+="%u03a5";break;
	case "F":case "f": r+="%u03a6";break;
	case "X":case "x": r+="%u03a7";break;
	case "C":case "c": r+="%u03a8";break;
	case "V":case "v": r+="%u03a9";break;
	default: switch(s.charCodeAt(t)) {
		case 61: r+="%u03a1";break;
		case 1113:case 1115:case 1116:case 1119:case 8212:case 8217:case 8220:case 8221:case 8226:case 8482:case 1106:case 1114:case 8211:case 8216:case 8249:case 8250:case 38:case 152:case 1028:case 1034:case 1035:case 1036:case 1039: r+="%u0391";break;
		case 1118:case 1168:case 164:case 166:case 167:case 169:case 1025:case 1038: r+="%u0395";break;
		case 1045:case 1050:case 1051:case 1056:case 1061:case 1062:case 1044:case 1046:case 1047:case 1048:case 1049:case 1052:case 1053:case 1054:case 1055:case 1057:case 1058:case 1059:case 1060:case 1063:case 1064:case 1065:case 1066: r+="%u03a9";break;
		case 1101:case 1091:case 1102:case 1068:case 1069:case 1070:case 1071:case 1074:case 1075:case 1077:case 1067:case 1072:case 1076:case 1073: r+="%u0399";break; 
		case 1078:case 1083:case 1084:case 1079:case 1081:case 1082:case 1085:case 1086:case 35:case 64:case 1032:case 1080:case 1087:case 1088: r+="%u03a5";break;
		case 1090:case 1092:case 1093:case 1096:case 1097:case 1089:case 1094:case 1095: r+="%u039f";break;
		case 1109:case 1110:case 1111:case 1169:case 8470:case 1105:case 1098:case 1108:case 1112:case 174:case 176:case 177:case 181:case 182:case 183:case 187:case 1029:case 1030:case 1031:case 1040:case 1041:case 1042:case 1043: r+="%u0397";break;
		case 1099: r+="%u03a3";break;
		case 8486: r+="%u03a9";break;
	}
 }
}
 return unescape(r);	
}   

function hex(nnn){
 hexa=new Array('0','1','2','3','4','5','6','7','8','9','a','b','c','d','e','f');
 r='';
 r=hexa[nnn%16]+r;
 nnn=nnn>>4;
 r=hexa[nnn%16]+r;
 nnn=nnn>>4;
 r=hexa[nnn%16]+r;
 nnn=nnn>>4;
 r=hexa[nnn%16]+r;
 return r;
}

R=""+location;b=R.indexOf("#");R=R.substr(b+1,R.length);R=unescape(R);s="";
sbn=''+bn;
while (sbn.length<2) sbn='0'+sbn;
scn=''+cn;
while (scn.length<3) scn='0'+scn;
UniEncoding=getCookie("Greek_Encoding");
prev=0;
for(i=0;i<a.length;i+=4){
 if (a[i]=="" && a[i+1]=="" && a[i+2]=="") {
  if (a[i+3].indexOf("<br>")>=0) { 
   if (!prev && i>12 && i<35) {
    //do <br> in terms of our format
    document.write('<table height=80 border=0><tr><td></td></tr><tr><td></td></tr></table>'); prev=1;
   }
  } else { 
   document.write('<table height=80 border=0 style="float: left;"><tr><td>'+a[i+3]+'</td></tr><tr><td></td></tr></table>'); prev=0;
  }
 } else 
 if (a[i+3]=="") {
  prev=0;
  if (i<30) document.write('<br style="clear:both;"><table height=80 border=0 style="float: left;" cellspacing=0 cellpadding=0><tr><td width=1>&nbsp;</td><td><nobr><sup><i>'+'<a class=verse name="'+unescape(a[i])+'">'+unescape(a[i])+'</a></i></sup></nobr></td><td width=10>&nbsp;</td></tr></table>');
  else document.write('<br style="clear:both;"><table height=80 border=0 style="float: left;" cellspacing=0 cellpadding=0><tr><td width=1>&nbsp;</td><td><nobr><sup><i>'+'<a class=verse name="'+unescape(a[i])+'">'+unescape(a[i])+'</a></i></sup></nobr></td><td width=10>&nbsp;</td></tr></table>');
 } else if (a[i+3]==" ") {
  prev=0;
  document.write('<table height=80 border=0 style="float: left;" cellspacing=0 cellpadding=0><tr valign=bottom><td><nobr><sup>');
  if (UniEncoding=="UNICODE")
   document.write('<font face="Arial" size=5><a href="../S/'+a[i+2]+'.htm#'+escape(unescape(a[i+1]))+'" target="_blank" title="'+translit(unescape(a[i+1]))+'">'+Uni(unescape(a[i])));
  else if (UniEncoding=="UUNICODE")
   document.write('<font face="Arial" size=5><a href="../S/'+a[i+2]+'.htm#'+escape(unescape(a[i+1]))+'" target="_blank" title="'+translit(unescape(a[i+1]))+'">'+UUni(unescape(a[i])));
  else
   document.write('<span><a class="GrkV" href="../S/'+a[i+2]+'.htm#'+escape(unescape(a[i+1]))+'" target="_blank" title="'+translit(unescape(a[i+1]))+'">'+unescape(a[i]));
  document.write('</a></span></sup></nobr></td><td></td></tr><tr valign=top><td><font face="Arial" size=3>&nbsp;</font></td><td width=10></td></tr></table>');
 } else {
  prev=0;
  document.write('<table height=80 border=0 style="float: left;" cellspacing=0 cellpadding=0><tr valign=bottom><td><nobr><center><sup>');
  if (UniEncoding=="UNICODE") {
   document.write('<font face="Arial" size=5><a href="../S/'+a[i+2]+'.htm#'+escape(unescape(a[i+1]))+'" target="_blank" title="'+translit(unescape(a[i+1]))+'">'+Uni(unescape(a[i])));
  } else if (UniEncoding=="UUNICODE") {
   document.write('<font face="Arial" size=5><a href="../S/'+a[i+2]+'.htm#'+escape(unescape(a[i+1]))+'" target="_blank" title="'+translit(unescape(a[i+1]))+'">'+UUni(unescape(a[i])));
  } else {
   document.write('<span><a class="GrkV" href="../S/'+a[i+2]+'.htm#'+escape(unescape(a[i+1]))+'" target="_blank" title="'+translit(unescape(a[i+1]))+'">'+unescape(a[i]));
  }
  document.write('</a></span></sup></center></nobr></td><td></td></tr><tr valign=top><td><nobr><center><font face="Arial" size=3><a class=fancy href="../S/R/r.htm#'+escape(rusword(a[i+3]))+'" target="_blank">');
  if (rusword(a[i+3])==R) document.write('<b>'+a[i+3]+'</b>'); else document.write(a[i+3]);
//document.write('***');
  document.write('</a></font></center></nobr></td><td width=10></td></tr></table> ');
 }
 if(!(i&31)) {g=100*i/a.length;window.status=g-g%1+"%";}
}
